#pragma once

struct workMode
{
	wchar_t chInM; //формат входного файла
	wchar_t chOutM; //формат выходного файла
	int nTabWidth;
	std::wstring strInFileName;
	std::wstring strOutFileName;
	workMode() : chInM(L'A'), chOutM(L'A'), nTabWidth(4) {}
};

void Usage();
bool CheckInputParams(workMode *pwmode);
std::wstring GetFormatName(wchar_t ch);
void MakeOutName(workMode *pwmode);
